#include "GameBase.hpp"
#include "pgnp.hpp"

class PGNGameBase : public GameBase {
  pgnp::PGN *pgn;
  bool hasNextGame;
  std::string file;

public:
  PGNGameBase(std::string pgn_file);
  Game *GetGame(std::uint32_t id);
  bool NextGame();
  Game *GetCurrentGame();
  std::string GetTag(std::string tag);
  void Save(std::vector<std::uint32_t> to_ignore,
            std::vector<GameBase *> new_games_bases,
            std::vector<Game *> new_games);
  void Reset();
  void Save(GameBase *base);
};